/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2019 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file        GOWIN_M1_sdcard.h
 * @author      Embedded Development Team
 * @version	    V1.3.0
 * @date        2019-10-1 09:00:00
 * @brief       This file contains all the functions prototypes for the SD-Card firmware library.
 ******************************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef GOWIN_M1_SDCARD_H
#define GOWIN_M1_SDCARD_H

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include <stdio.h>
#include <ctype.h> /* for toupper() */
#include "GOWIN_M1.h"

/* Macros --------------------------------------------------------------------*/
#define SDCARD_ADDR 16448
#define SDCARD_PACKAGE_SIZE 512

/* Variables -----------------------------------------------------------------*/
static char buffs[20];

/* Functions --------------------------------------------------------------------*/
extern int sdcard_read_package(unsigned char *data, unsigned int base_addr);
extern int SD_ReadDisk(unsigned char* buf, unsigned int sector, unsigned int cnt);
extern int sd_sector_read(uint8_t *out, uint32_t sector);

#ifdef __cplusplus
}
#endif

#endif  /* GOWIN_M1_SDCARD_H */

/************************GowinSemiconductor******END OF FILE*******************/
